> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.whizcozy.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.whizcozy.com/_mcp/server.

# List File Shares

GET https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/firms/{firm_slug}/uploads/shares

List file shares for the current firm.

Reference: https://docs.whizcozy.com/api-reference/whiz-board-api/uploads/list-file-shares-api-v-1-firms-firm-slug-uploads-shares-get

## Authentication

- `Authorization` header (required) — API Key authentication via header

## Request

### Path parameters

- `firm_slug` (string, required)

### Query parameters

- `page` (integer, optional, default: 1)
- `page_size` (integer, optional, default: 20)
- `file_id` (integer, optional, nullable)
- `shared_with_user_id` (integer, optional, nullable)
- `include_deleted` (boolean, optional, default: false)

## Response

### 200

Successful Response

- `data` (FileShareListResponse, required)
- `status` (string, optional, default: success)

## Errors

### 422 Unprocessable Entity Error

Validation Error

- `detail` (list of ValidationError, optional)

## Types

### FileShareListResponse

- `items` (list of FileShareListItem, required)
- `page` (integer, required)
- `page_size` (integer, required)
- `total` (integer, required)
- `total_pages` (integer, required)

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)
- `input` (any, optional)
- `ctx` (ValidationErrorCtx, optional)

### FileShareListItem

- `id` (integer, required)
- `file` (FileShareFileSummary, required)
- `shared_with` (FileShareUserSummary, required)
- `shared_by` (FileShareUserSummary, required)
- `permission_type` (string, required)
- `created_at` (datetime, required, nullable)

### ValidationErrorLocItems

### ValidationErrorCtx

### FileShareFileSummary

- `id` (integer, required)
- `name` (string, required, nullable)
- `status` (enum, required, nullable) — Lifecycle status for a file upload/processing pipeline. Shared between: - FileMetadata.status (overall file) - FileChunk.status (each uploaded chunk)
  - Allowed values: `PENDING`, `UPLOADING`, `UPLOADED`, `PROCESSING`, `COMPLETED`, `FAILED`, `ABANDONED`, `CANCELED`, `DELETED`
- `mime_type` (string, required, nullable)
- `size` (integer, required)

### FileShareUserSummary

- `id` (integer, required)
- `name` (string, required, nullable)
- `email` (string, required)

## Examples

**Response**

```json
{
  "data": {
    "items": [
      {
        "id": 1,
        "file": {
          "id": 1,
          "name": "string",
          "status": "PENDING",
          "mime_type": "string",
          "size": 1
        },
        "shared_with": {
          "id": 1,
          "name": "string",
          "email": "string"
        },
        "shared_by": {
          "id": 1,
          "name": "string",
          "email": "string"
        },
        "permission_type": "string",
        "created_at": "2024-01-15T09:30:00Z"
      }
    ],
    "page": 1,
    "page_size": 1,
    "total": 1,
    "total_pages": 1
  },
  "status": "success"
}
```

**SDK Code**

```python
import requests

url = "https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/firms/firm_slug/uploads/shares"

headers = {"Authorization": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/firms/firm_slug/uploads/shares';
const options = {method: 'GET', headers: {Authorization: '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/firms/firm_slug/uploads/shares"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/firms/firm_slug/uploads/shares")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/firms/firm_slug/uploads/shares")
  .header("Authorization", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/firms/firm_slug/uploads/shares', [
  'headers' => [
    'Authorization' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/firms/firm_slug/uploads/shares");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/firms/firm_slug/uploads/shares")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```